package com.caimei365.wechat.service;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

public interface WeChatTokenService {

    /**
     * 获取代开发应用的accessToken
     * @return
     */
    String getAccessToken(String suiteTicket);

    /**
     * 获取代开发应用的预授权码
     * @return
     */
    String getPreAuthCode(String suiteAccessToken);

    /**
     * 获取企业永久授权码
     * @return
     */
    String getPermanentCode(String suiteAccessToken, String preAuthCode);
}
